For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all document spaces.
      • POSTCreates a new document space.
      • GETReturns the document space with the specified id.
      • PUTUpdates the document space with the specified id.
      • DELDeletes the document space with the specified id.
      • POSTAdds a list of document space contributors to a document space.
      • PUTUpdates the access of a document space contributor to the document space with the specified id.
      • DELDeletes the document space contributor with the specified id from a document space.
      • POSTAdds teams to the document space with the specified id.
      • PUTUpdates the access of a team to the document space with the specified id.
      • DELDeletes the team with the specified id from a document space.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Spaces

Returns all document spaces.

GET
https://api.awork.com/api/v1/documentspaces
GET
/api/v1/documentspaces
$curl https://api.awork.com/api/v1/documentspaces \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "id": "a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f9a1c23",
4 "createdOn": "2023-11-05T10:22:33.500Z",
5 "createdBy": "d9f8a7b6-c5d4-3e2f-1a0b-9c8d7e6f5a4b",
6 "updatedOn": "2024-04-12T16:45:12.300Z",
7 "updatedBy": "d9f8a7b6-c5d4-3e2f-1a0b-9c8d7e6f5a4b",
8 "name": "Marketing Documents",
9 "isExternal": false,
10 "emoji": "📁",
11 "color": "purple",
12 "order": 2.5,
13 "workspaceAccessLevel": "read",
14 "contributors": [
15 {
16 "id": "b7e6f5a4-c3d2-1a0b-9c8d-7e6f5a4b3c2d",
17 "userId": "e4f3d2c1-b0a9-8f7e-6d5c-4b3a29181716",
18 "accessLevel": "manage",
19 "firstName": "Lisa",
20 "lastName": "Smith",
21 "hasImage": true,
22 "isDeactivated": false
23 }
24 ],
25 "teams": [
26 {
27 "id": "c2d3e4f5-a6b7-8c9d-0e1f-2a3b4c5d6e7f",
28 "teamId": "f1e2d3c4-b5a6-7980-1a2b-3c4d5e6f7a8b",
29 "accessLevel": "read",
30 "name": "Designers",
31 "icon": "paintbrush",
32 "color": "purple"
33 }
34 ]
35 }
36]
<Check title="Required Permissions" icon="key">The user must have at least `read` permissions to see a document space.</Check>
Was this page helpful?
Previous

Creates a new document space.

Next
Built with
Required Permissions
The user must have at least read permissions to see a document space.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the document space.
isExternalboolean

Whether this document space is coming from an external workspace (awork Connect).

emojistring or null
The emoji of the document space.
colorstring or null
The color of the document space for display purposes in the app. Can be null when no color assigned.
orderdouble or null
The order of the document space in the list of document spaces.
workspaceAccessLevelstring or null

Determines the level of access to this document space granted to all workspace users. Can be either not set (no access), read, or manage.

contributorslist of objects or null
The contributors of this document space.
teamslist of objects or null
The teams this document space is connected to.